---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: chariott
  name: chariott
spec:
  replicas: 1
  selector:
    matchLabels:
      app: chariott
  template:
    metadata:
      labels:
        app: chariott
    spec:
      hostNetwork: true
      containers:
        - name: service-discovery
          image: quay.io/centos-sig-automotive/eclipse-chariott:latest
          imagePullPolicy: IfNotPresent
          command:
            - /usr/local/bin/chariott-service-discovery
